### Method

# Gimp PDB dump_to_file

since: 3.0

#### Declaration [src]

    gboolean
    gimp_pdb_dump_to_file (
      GimpPDB* pdb,
      GFile* file
    )

#### Description [src]

Dumps the current contents of the procedural database

This procedure dumps the contents of the procedural database to the specified `file`. The file will contain all of the information provided for each registered procedure.

Available since: 3.0

#### Parameters

`file`

  Type: `GFile`

  The dump file.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.